php 7.0, 7.1, 7.2 co-installation on Ubuntu 16.04?

Discussion in 'Installation/Configuration' started by concept21, Aug 29, 2018.

  1. concept21

    concept21 Member

    Hello All ISPConfig 3.1 Users,
    A new software requires that it must be run on php 7.1 or newer, but my system is Ubuntu 16.04 with php 7.0.
    So it is possible to have a separate installation of php 7.2 on Ubuntu 16.04?

    Please share your valuable experience. Thanks in advance. :)
     
  2. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    Try Internet search engines with
    site:howtoforge.com multiple php versions ubuntu

    Ondrej Sury has a repository of many PHP versions for Ubuntu and Debian.
     
    ahrasis likes this.
  3. concept21

    concept21 Member

    I am asking for your experience on a real case, not asking for a search phrase, please. :mad:
     
  4. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    I used the packages provided by Sury. Easy to install and updates are available with apt-get. On debian stretch, though.
     
    ahrasis likes this.
  5. nhybgtvfr

    nhybgtvfr Active Member

    as taleman stated, if you add the Ondrej php repo (ppa: ondrej/php), you can install 5.6, 7.0, 7.1, and 7.2. they'll be in /etc/php/5.6 /etc/php/7.0 etc.
    he's done this on Debian stretch. I've done it without problems on ubuntu 16.04, 17.10 and 18.04

    that said, if you've already got php installed from the default ubuntu repo, i'm not sure what effect any apt-get update/upgrade will have on that. If I use the ondrej repo I've added it as one of the first things on a new install before any php installs.

    if you've already got the standard repo php installed then you can still also manually download, compile, and install any of the php versions as an additional php. if you search for the terms taleman provided you with, you'll find some tutorials for doing this, I know there's a couple of different ones for Debian and ubuntu. installation then is generally to /opt/php-7.0 /opt/php-7.1 etc
     
    Last edited: Aug 30, 2018
    ahrasis likes this.
  6. concept21

    concept21 Member

    OK. Thanks. Let me try. :mad:
     
  7. ahrasis

    ahrasis Well-Known Member

    I don't personally think there'll be problems if you add ondrej sury repo, run update and upgrade, plus add the extra php version you want.

    Each php will be on their respective folder and your system default will be upgraded to php7.2 by this but ISPConfig will still use your system original default php7.0.
     
  8. concept21

    concept21 Member

    OK. It seems working. I have chosen to install a new php 7.1
    Now, there are php7.0-fpm.conf and php7.1-fpm.conf
    under /etc/apache2/conf-available/
    Which one of them should I enable? :mad:
     
  9. ahrasis

    ahrasis Well-Known Member

    I am not sure what do you mean. Once installed, they are ready to be used. You add them in your ISPConfig settings (for extra php), and assign to the respective website by selecting in php choices drop down.
     

Share This Page